## org.omg.CORBA
Class DomainManagersListHelper

    java.lang.Object
      |
      +--org.omg.CORBA.DomainManagersListHelper

public class DomainManagersListHelper
extends java.lang.Object

Helper class for : DomainManagersList

Author:
  OpenORB Compiler

Constructor Summary
`DomainManagersListHelper()`

Method Summary
`static DomainManager[]` `extract(Any a)` Extract DomainManagersList from an any
`static java.lang.String` `id()` Return the DomainManagersList IDL ID
`static void` `insert(Any a, DomainManager[] t)` Insert DomainManagersList into an any
`static DomainManager[]` `read(InputStream istream)` Read DomainManagersList from a marshalled stream
`static TypeCode` `type()` Return the DomainManagersList TypeCode
`static void` `write(OutputStream ostream, DomainManager[] value)` Write DomainManagersList into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DomainManagersListHelper

    public DomainManagersListHelper()

Method Detail

### insert

    public static void insert(Any a,
                              DomainManager[] t)

  Insert DomainManagersList into an any
  Parameters:
    `a` - an any
    `t` - DomainManagersList value

### extract

    public static DomainManager[] extract(Any a)

  Extract DomainManagersList from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted DomainManagersList value

### type

    public static TypeCode type()

  Return the DomainManagersList TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the DomainManagersList IDL ID
  Returns:
    an ID

### read

    public static DomainManager[] read(InputStream istream)

  Read DomainManagersList from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed DomainManagersList value

### write

    public static void write(OutputStream ostream,
                             DomainManager[] value)

  Write DomainManagersList into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - DomainManagersList value